package com.androidbegin.buttonclicktutorial;

import java.util.Date;
import java.util.List;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class appointment 
{
	
	int id;
	String titre;
	Date start_time;
	Date end_time;
	String phone;
	String notes;
	
	
	private long createdTime;
	private long modifiedTime;
	private String name;
	private String fromDate;
	private String toDate;
	private String at;
	private String rule;
	private String interval;
	private Boolean sound = Boolean.FALSE;
	private List<AlarmTime> occurrences;
	
	
	public appointment()
	{
	}
	
	public appointment(int id, String titre, Date start_time, Date end_time, String phone, String notes) 
	{
		
		this.id = id;
		this.titre = titre;
		this.start_time = start_time;
		this.end_time = end_time;
		this.phone = phone;
		this.notes = notes;
		
	}
	
	public appointment(int id)
	{
		this.id = id;
	}
	
	public void reset()
	{
		//super.reset();
		createdTime = 0;
		modifiedTime = 0;
		name = null;
		fromDate = null;
		toDate = null;
		rule = null;
		interval = null;
		sound = Boolean.FALSE;
		occurrences = null;
	}	
	
	public long getId() 
	{
		return id;
	}
	

	public void setTitre(String titre)
	{
		this.titre = titre;
	}

	public String getTitre() 
	{
		return titre;
	}
	
	public void setStart_time(Date start_time ) 
	{
		this.start_time = start_time;
	}
	
	public Date getStart_time() 
	{
		return start_time;
	}
	
	public void setEnd_time(Date end_time ) 
	{
		this.end_time = end_time;
	}
	
	public Date getEnd_time() 
	{
		return end_time;
	}
	
	
	public void setPhone(String phone) 
	{
		this.phone = phone;
	}
	
	public String getPhone() 
	{
		return phone;
	}
	
	
	public void setNotes(String notes) 
	{
		this.notes = notes;
	}

	
	public String getNotes() 
	{
		return notes;
	}
	
	
	/****/
	
	public void setId(int id)
	{
		this.id = id;
	}
	
	public long getCreatedTime()
	{
		return createdTime;
	}
	public void setCreatedTime(long createdTime) 
	{
		this.createdTime = createdTime;
	}
	/****/
	public long getModifiedTime() 
	{
		return modifiedTime;
	}
	public void setModifiedTime(long modifiedTime) 
	{
		this.modifiedTime = modifiedTime;
	}
	/****/
	public String getName() 
	{
		return name;
	}
	public void setName(String name) 
	{
		this.name = name;
	}
	/****/
	public String getFromDate() 
	{
		return fromDate;
	}
	public void setFromDate(String fromDate)
	{
		this.fromDate = fromDate;
	}
	/****/
	public String getToDate() 
	{
		return toDate;
	}
	public void setToDate(String toDate) 
	{
		this.toDate = toDate;
	}
	
	
	public String getAt() 
	{
		return at;
	}
	public void setAt(String at) 
	{
		this.at = at;
	}
	
	/****/
	public String getRule() 
	{
		return rule;
	}
	public void setRule(String rule) 
	{
		this.rule = rule;
	}
	/****/
	public String getInterval()
	{
		return interval;
	}
	public void setInterval(String interval) 
	{
		this.interval = interval;
	}
	/****/
	public Boolean getSound()
	{
		return sound;
	}
	public void setSound(Boolean sound)
	{
		this.sound = sound;
	}	
	/****/
	
	

}
